<?xml version="1.0" encoding="windows-1251"?>
<xs:schema id="PP" xmlns="" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:sm="http://www.servplus.ru">
  <!--Прайс-лист поставщика-->
  <xs:element name="PP" msdata:IsDataSet="true" msdata:CaseSensitive="true" msdata:Locale="ru" sm:PostId="SMDocuments.id" sm:Action = "normal">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="SMDOCUMENTS" msdata:Locale="ru" sm:PostId="SMDocuments.id">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="ID" type="xs:string" sm:FieldName="ID"/>
              <xs:element name="DOCTYPE" type="xs:string" sm:FieldName="DOCTYPE"/>
              <xs:element name="CREATEDAT" type="xs:dateTime" sm:FieldName="CREATEDAT"/>
              <xs:element name="CURRENCYRATE" type="xs:decimal" sm:FieldName="CURRENCYRATE"/>
              <xs:element name="CURRENCYTYPE" type="xs:decimal" sm:FieldName="CURRENCYTYPE"/>
              <xs:element name="DOCSTATE" type="xs:decimal" sm:FieldName="DOCSTATE"/>
              <xs:element name="OPCODE" type="xs:decimal" sm:FieldName="OPCODE"/>
              <xs:element name="PRICEROUNDMODE" type="xs:decimal" sm:FieldName="PRICEROUNDMODE"/>
              <xs:element default="0" name="TOTALSUM" type="xs:decimal" />
              <xs:element default="0" name="TOTALSUMCUR" type="xs:decimal" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element msdata:Locale="ru" name="SMSPECPP">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="DOCID" type="xs:string" sm:FieldName="ID"/>
              <xs:element name="DOCTYPE" type="xs:string" sm:FieldName="DOCTYPE"/>
              <xs:element name="SPECITEM" type="xs:decimal" sm:ColumnName="SPECITEM"/>
              <xs:element minOccurs="0" name="ARTICLE" type="xs:string" sm:ColumnName="ARTICLE"/>
              <xs:element minOccurs="0" name="BARCODE" type="xs:string" sm:ColumnName="BARCODE"/>
              <xs:element name="DISPLAYITEM" type="xs:decimal" sm:ColumnName="SPECITEM"/>
              <xs:element default="0" name="ITEMPRICE" type="xs:decimal" sm:ColumnName="ITEMPRICE"/>
              <xs:element default="0" name="TOTALSUM" type="xs:decimal" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique msdata:PrimaryKey="true" name="Constraint1">
      <xs:selector xpath=".//SMDOCUMENTS" />
      <xs:field xpath="ID" />
      <xs:field xpath="DOCTYPE" />
    </xs:unique>
    <xs:unique msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true" name="SMCOMMONBASES_Constraint1">
      <xs:selector xpath=".//SMCOMMONBASES" />
      <xs:field xpath="ID" />
      <xs:field xpath="DOCTYPE" />
      <xs:field xpath="BASEDOCTYPE" />
      <xs:field xpath="BASEID" />
    </xs:unique>
    <xs:unique msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true" name="SMDOCPROPS_Constraint1">
      <xs:selector xpath=".//SMDOCPROPS" />
      <xs:field xpath="DOCID" />
      <xs:field xpath="DOCTYPE" />
      <xs:field xpath="PARAMNAME" />
    </xs:unique>
    <xs:unique msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true" name="SMDOCBLOBFILES_Constraint1">
      <xs:selector xpath=".//SMDOCBLOBFILES" />
      <xs:field xpath="ID" />
      <xs:field xpath="DOCTYPE" />
      <xs:field xpath="INSERTIONID" />
    </xs:unique>
    <xs:unique msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true" name="SMPROVIDERPRICE_Constraint1">
      <xs:selector xpath=".//SMPROVIDERPRICE" />
      <xs:field xpath="ID" />
      <xs:field xpath="DOCTYPE" />
    </xs:unique>
    <xs:unique msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true" name="SMSPECPP_Constraint1">
      <xs:selector xpath=".//SMSPECPP" />
      <xs:field xpath="DOCID" />
      <xs:field xpath="DOCTYPE" />
      <xs:field xpath="SPECITEM" />
    </xs:unique>
  </xs:element>
</xs:schema>